Bug 68445 - ksconfig configures Estonian keyboard incorrectly
ksconfig configures Estonian keyboard incorrectly
Product: Red Hat Linux
Classification: Retired
Component: ksconfig (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-07-10 05:46 EDT by Fred New
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-09 03:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-07-10 05:46:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
After using ksconfig for a system with an Estonian keyboard, I found that the 
ks.cfg file contained "ee" as the keyboard type.  I believe this should be "et".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. From Gnome, run System -> Kickstart Configurator
2. Among other settings, select an Estonian keyboard.
3. Save the file and exit ksconfig.
4. View the contents of the saved file.

Actual Results:  ks.cfg contents:

#System keyboard
keyboard ee

Using this ks.cfg file for an installation causes errors with regard to the 
keyboard setting.

Expected Results:

#System keyboard
keyboard et

Additional info:

I have tested a ks.cfg file containing "et" and the installation successfully 
selected the correct keyboard.
Comment 1 Brent Fox 2002-07-25 00:37:57 EDT
The new version (redhat-config-kickstart) gets it's keyboard list from rhpl, and
rhpl now has the correct keyboard settings for Estonian.  Thanks for your
report.  Should be fixed in redhat-config-kickstart-2.3.2-3
Comment 2 Brent Fox 2002-07-25 00:43:21 EDT
Correction, redhat-config-kickstart-2.3.2-4
Comment 3 Fred New 2002-08-09 03:57:56 EDT
I'm testing on limbo now, and I still get "keyboard ee".

Current versions:
Comment 4 Brent Fox 2002-10-11 12:24:03 EDT
With redhat-config-kickstart-2.3.3-3 and rhpl-0.51-1 from 8.0, I get 'et' for
the Estonian keyboard, which seems to be the correct behavior.  If you are still
getting 'ee' in 8.0, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.